My Project: dht::net::RequestAnswer Struct Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
dht::net::RequestAnswer Struct Reference

`#include <network_engine.h>`

Collaboration diagram for dht::net::RequestAnswer:
[legend]

## Public Member Functions
| RequestAnswer (ParsedMessage &&msg)

## Public Attributes
Blob | ntoken {}
Value::Id | vid {}
std::vector< Sp< Value > > | values {}
std::vector< Value::Id > | refreshed_values {}
std::vector< Value::Id > | expired_values {}
std::vector< Sp< FieldValueIndex > > | fields {}
std::vector< Sp< Node > > | nodes4 {}
std::vector< Sp< Node > > | nodes6 {}

## Detailed Description

Answer for a request.

Definition at line 84 of file network_engine.h.

## Constructor & Destructor Documentation

## ◆ RequestAnswer()

dht::net::RequestAnswer::RequestAnswer | ( |  | ) |
| inline

Definition at line 94 of file network_engine.h.

## Member Data Documentation

## ◆ expired_values

std::vector<Value::Id> dht::net::RequestAnswer::expired_values {}

Definition at line 90 of file network_engine.h.

## ◆ fields

std::vector<Sp<FieldValueIndex> > dht::net::RequestAnswer::fields {}

Definition at line 91 of file network_engine.h.

## ◆ nodes4

std::vector<Sp<Node> > dht::net::RequestAnswer::nodes4 {}

Definition at line 92 of file network_engine.h.

## ◆ nodes6

std::vector<Sp<Node> > dht::net::RequestAnswer::nodes6 {}

Definition at line 93 of file network_engine.h.

## ◆ ntoken

Blob dht::net::RequestAnswer::ntoken {}

Definition at line 86 of file network_engine.h.

## ◆ refreshed_values

std::vector<Value::Id> dht::net::RequestAnswer::refreshed_values {}

Definition at line 89 of file network_engine.h.

## ◆ values

std::vector<Sp<Value> > dht::net::RequestAnswer::values {}

Definition at line 88 of file network_engine.h.

## ◆ vid

Value::Id dht::net::RequestAnswer::vid {}

Definition at line 87 of file network_engine.h.

The documentation for this struct was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/network_engine.h